
/*#region Variables*/
$white: #fff;
$red: #ff4444;

$black: #212529;
$bg-black: #212121;
$bg-lightblack: #5e6271;

$gray: #808080;
$bg-gray: #f2f2f2;
$bg-lightgray: #f2f2f2;

$border-gray: #ddd;
$border-lightgray: #f2f2f2;

$primary-color: var(--primary);
$primary-color-hover: var(--dark);

$second-color: var(--secondary);
$second-color-hover: var(--dark);

$line-height: 1.5;
/** custom color **/
$deepgray: #666666;
$bg-deepgray: #4d4d4d;

$success: #00c851;
$info: #33b5e5;
$warning: #f80;
$danger: #ff3547;
$default: #e0e0e0;

$font-weight-light: 300;
$font-weight-normal: normal;
$font-weight-semibold: 600;
$font-weight-bold: bold;

$font-family-primary: 'Roboto', sans-serif;
$font-family-second: 'iCielFesterSemiCondensed', sans-serif;

/*#endregion*/
/*#region Mixin*/
@mixin border ($size: 1px, $style: solid, $color: $border-gray) {
    border: $size $style $color;
}

@mixin border-top ($size: 1px, $style: solid, $color: $border-gray) {
    border-top: $size $style $color;
}

@mixin border-bottom ($size: 1px, $style: solid, $color: $border-gray) {
    border-bottom: $size $style $color;
}

@mixin border-left ($size: 1px, $style: solid, $color: $border-gray) {
    border-left: $size $style $color;
}

@mixin border-right ($size: 1px, $style: solid, $color: $border-gray) {
    border-right: $size $style $color;
}

@mixin animation() {
    -webkit-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
    -moz-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
    -o-transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
    transition: all 0.5s cubic-bezier(0.215, 0.61, 0.355, 1);
}

@mixin clearfix() {

    &:after,
    &:before {
        content: " ";
        display: table;
    }

    &:after {
        clear: both;
    }
}
@mixin flex-left() {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: left;
    -webkit-justify-content: left;
    -ms-flex-pack: left;
    justify-content: left;
}

@mixin flex-right() {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: end;
    -webkit-justify-content: flex-end;
    -ms-flex-pack: end;
    justify-content: flex-end;
}
@mixin flex-container() {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-flow: row wrap;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap; // -webkit-justify-content: space-around;
    -ms-flex-pack: distribute; // justify-content: space-around;
    &.flex-item-center {
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
    }

    &.row > .col,
    > .col {
        float: none;
    }
}

@mixin non-flex-container() {
    -webkit-box-align: inherit;
    -webkit-align-items: inherit;
    -ms-flex-align: inherit;
    align-items: inherit;
    -webkit-box-pack: inherit;
    -webkit-justify-content: inherit;
    -ms-flex-pack: inherit;
    justify-content: inherit;
    display: block;
}

@mixin flex-center() {
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}

@mixin item-flex() {
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-direction: -webkit-column;
    flex-direction: -webkit-column;
    flex-direction: -moz-column;
    -ms-flex-direction: -ms-column;
    flex-direction: -ms-column;
    flex-direction: -o-column;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    -ms-flex-direction: column;
    flex-direction: column;

    .text-container {
        display: -moz-flex;
        display: -ms-flex;
        display: -o-flex;
        display: -webkit-box;
        display: -webkit-flex;
        display: -ms-flexbox;
        display: flex;
        -moz-flex: 1 0 auto;
        -o-flex: 1 0 auto;
        -webkit-box-flex: 1;
        -webkit-flex: 1 0 auto;
        -ms-flex: 1 0 auto;
        flex: 1 0 auto;
        -webkit-flex-direction: -webkit-column;
        flex-direction: -webkit-column;
        flex-direction: -moz-column;
        -ms-flex-direction: -ms-column;
        flex-direction: -ms-column;
        flex-direction: -o-column;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -webkit-flex-direction: column;
        -ms-flex-direction: column;
        flex-direction: column;

        .des,
        h3 {
            -moz-flex-grow: 1;
            -o-flex-grow: 1;
            -webkit-box-flex: 1;
            -webkit-flex-grow: 1;
            -ms-flex-positive: 1;
            flex-grow: 1;
        }

        h3 {
            -webkit-box-align: center;
            -webkit-align-items: center;
            -ms-flex-align: center;
            align-items: center;
            -webkit-box-pack: center;
            -webkit-justify-content: center;
            -ms-flex-pack: center;
            justify-content: center;
            display: -webkit-box;
            display: -webkit-flex;
            display: -ms-flexbox;
            display: flex;
        }
    }
}

@mixin v-height () {
    display: table;
    height: 100%;
    width: 100%;
}

@mixin v-mid() {
    display: table-cell;
    vertical-align: middle;
    width: 100%
}

@mixin v-top() {
    // display: table-header-group;
    display: table-header-group;
    width: 100%;
    vertical-align: top;
    // height: 100%;
}
.bg-lightgray {
    background: #f4f4f4;
}
@mixin v-bot() {
    // display: table-footer-group;
    display: table-cell;
    width: 100%;
    vertical-align: bottom;
}

/*#endregion*/
/*#region Typography*/
h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
    padding-top: 0;
    padding-bottom: 0;
    margin-top: 0;
    margin-bottom: 0;
}

.h,
.h0,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
    font-weight: $font-weight-normal
}

.h0 {
    font-size: 40px;
    line-height: 45px;
}

h1,
.h1 {
    font-size: 35px;
    line-height: 40px;
}

h2,
.h2 {
    font-size: 30px;
    line-height: 35px;
}

h3,
.h3 {
    font-size: 25px;
    line-height: 30px;
}

h4,
.h4 {
    font-size: 20px;
    line-height: 25px;
}

h5,
.h5 {
    font-size: 16px;
    line-height: normal;
}

h6,
.h6 {
    font-size: 12px;
    line-height: normal;
}

.h {
    font-size: 14px;
    line-height: 1.42857143;
}

body {
    font-size: 14px;
    line-height: 1.42857143;
}

@media screen and (max-width: 1024px) {
    .h0 {
        font-size: 35px;
        line-height: 40px;
    }

    h1,
    .h1 {
        font-size: 30px;
        line-height: 35px;
    }

    h2,
    .h2 {
        font-size: 25px;
        line-height: 30px;
    }

    h3,
    .h3 {
        font-size: 20px;
        line-height: 25px;
    }

    h4,
    .h4 {
        font-size: 18px;
        line-height: normal;
    }

    h5,
    .h5 {
        font-size: 16px;
        line-height: normal;
    }

    h6,
    .h6 {
        font-size: 12px;
        line-height: normal;
    }

    .h {
        font-size: 14px;
        line-height: 1.42857143;
    }

    body {
        font-size: 14px;
        line-height: 1.42857143;
    }
}

@media screen and (max-width: 768px) {
    .h0 {
        font-size: 30px;
        line-height: 35px;
    }

    h1,
    .h1 {
        font-size: 25px;
        line-height: 30px;
    }

    h2,
    .h2 {
        font-size: 20px;
        line-height: 25px;
    }

    h3,
    .h3 {
        font-size: 18px;
        line-height: normal;
    }

    h4,
    .h4 {
        font-size: 16px;
        line-height: normal;
    }

    h5,
    .h5 {
        font-size: 15px;
        line-height: normal;
    }

    h6,
    .h6 {
        font-size: 12px;
        line-height: normal;
    }

    .h {
        font-size: 14px;
        line-height: 1.42857143;
    }

    body {
        font-size: 14px;
        line-height: 1.42857143;
    }
}

@media screen and (max-width: 450px) {
    .h0 {
        font-size: 30px;
        line-height: 35px;
    }

    h1,
    .h1 {
        font-size: 25px;
        line-height: 30px;
    }

    h2,
    .h2 {
        font-size: 20px;
        line-height: 25px;
    }

    h3,
    .h3 {
        font-size: 18px;
        line-height: normal;
    }

    h4,
    .h4 {
        font-size: 16px;
        line-height: normal;
    }

    h5,
    .h5 {
        font-size: 15px;
        line-height: normal;
    }

    h6,
    .h6 {
        font-size: 12px;
        line-height: normal;
    }

    .h {
        font-size: 14px;
        line-height: 1.42857143;
    }

    body {
        font-size: 14px;
        line-height: 1.42857143;
    }
}

/*#endregion*/
/*#region Spacing*/
section {
    padding-top: 80px;
    padding-bottom: 80px;
}

.m-8 {
    margin-top: 80px;
    margin-bottom: 80px;
}

.m-4 {
    margin-top: 40px;
    margin-bottom: 40px;
}

.m-3 {
    margin-top: 30px;
    margin-bottom: 30px;
}

.m-2 {
    margin-top: 20px;
    margin-bottom: 20px;
}

.m-1 {
    margin-top: 10px;
    margin-bottom: 10px;
}

.p-8 {
    padding-top: 80px;
    padding-bottom: 80px;
}

.p-4 {
    padding-top: 40px;
    padding-bottom: 40px;
}

.p-3 {
    padding-top: 30px;
    padding-bottom: 30px;
}

.p-2 {
    padding-top: 20px;
    padding-bottom: 20px;
}

.p-1 {
    padding-top: 10px;
    padding-bottom: 10px;
}

.m-top-8 {
    margin-top: 80px;
}

.m-top-4 {
    margin-top: 40px;
}

.m-top-3 {
    margin-top: 30px;
}

.m-top-2 {
    margin-top: 20px;
}

.m-top-1 {
    margin-top: 10px;
}

.p-top-8 {
    padding-top: 80px;
}

.p-top-4 {
    padding-top: 40px;
}

.p-top-3 {
    padding-top: 30px;
}

.p-top-2 {
    padding-top: 20px;
}

.p-top-1 {
    padding-top: 10px;
}

.m-bot-8 {
    margin-bottom: 80px;
}

.m-bot-4 {
    margin-bottom: 40px;
}

.m-bot-3 {
    margin-bottom: 30px;
}

.m-bot-2 {
    margin-bottom: 20px;
}

.m-bot-1 {
    margin-bottom: 10px;
}

.p-bot-8 {
    padding-bottom: 80px;
}

.p-bot-4 {
    padding-bottom: 40px;
}

.p-bot-3 {
    padding-bottom: 30px;
}

.p-bot-2 {
    padding-bottom: 20px;
}

.p-bot-1 {
    padding-bottom: 10px;
}

.p-top-0 {
    padding-top: 0;
}

.p-bot-0 {
    padding-bottom: 0;
}

.m-top-0 {
    margin-top: 0;
}

.m-bot-0 {
    margin-bottom: 0;
}

.p-0 {
    padding-top: 0;
    padding-bottom: 0;
}

.m-0 {
    margin-top: 0;
    margin-bottom: 0;
}

@media screen and (max-width: 1024px) {

    /*#region spacing*/
    section {
        padding-top: 40px;
        padding-bottom: 40px;
    }

    .m-8 {
        margin-top: 60px;
        margin-bottom: 60px;
    }

    .m-4 {
        margin-top: 30px;
        margin-bottom: 30px;
    }

    .m-3 {
        margin-top: 20px;
        margin-bottom: 20px;
    }

    .p-8 {
        padding-top: 60px;
        padding-bottom: 60px;
    }

    .p-4 {
        padding-top: 30px;
        padding-bottom: 30px;
    }

    .p-3 {
        padding-top: 20px;
        padding-bottom: 20px;
    }

    .m-top-8 {
        margin-top: 60px;
    }

    .m-top-4 {
        margin-top: 30px;
    }

    .m-top-3 {
        margin-top: 20px;
    }

    .p-top-8 {
        padding-top: 60px;
    }

    .p-top-4 {
        padding-top: 30px;
    }

    .p-top-3 {
        padding-top: 20px;
    }

    .m-bot-8 {
        margin-bottom: 60px;
    }

    .m-bot-4 {
        margin-bottom: 30px;
    }

    .m-bot-3 {
        margin-bottom: 20px;
    }

    .p-bot-8 {
        padding-bottom: 60px;
    }

    .p-bot-4 {
        padding-bottom: 30px;
    }

    .p-bot-3 {
        padding-bottom: 20px;
    }

    /*#endregion*/
}

@media screen and (max-width: 768px) {

    /*#region spacing*/
    section {
        padding-top: 30px;
        padding-bottom: 30px;
    }

    .m-8 {
        margin-top: 40px;
        margin-bottom: 40px;
    }

    .m-4 {
        margin-top: 20px;
        margin-bottom: 20px;
    }

    .m-3 {
        margin-top: 15px;
        margin-bottom: 15px;
    }

    .p-8 {
        padding-top: 40px;
        padding-bottom: 40px;
    }

    .p-4 {
        padding-top: 20px;
        padding-bottom: 20px;
    }

    .p-3 {
        padding-top: 15px;
        padding-bottom: 15px;
    }

    .m-top-8 {
        margin-top: 40px;
    }

    .m-top-4 {
        margin-top: 20px;
    }

    .m-top-3 {
        margin-top: 15px;
    }

    .p-top-8 {
        padding-top: 40px;
    }

    .p-top-4 {
        padding-top: 20px;
    }

    .p-top-3 {
        padding-top: 15px;
    }

    .m-bot-8 {
        margin-bottom: 40px;
    }

    .m-bot-4 {
        margin-bottom: 20px;
    }

    .m-bot-3 {
        margin-bottom: 15px;
    }

    .p-bot-8 {
        padding-bottom: 40px;
    }

    .p-bot-4 {
        padding-bottom: 20px;
    }

    .p-bot-3 {
        padding-bottom: 15px;
    }

    /*#endregion*/
}

@media screen and (max-width: 450px) {

    /*#region spacing*/
    section {
        padding-top: 20px;
        padding-bottom: 20px;
    }

    .m-8 {
        margin-top: 30px;
        margin-bottom: 30px;
    }

    .p-8 {
        padding-top: 30px;
        padding-bottom: 30px;
    }

    .m-top-8 {
        margin-top: 30px;
    }

    .p-top-8 {
        padding-top: 30px;
    }

    .m-bot-8 {
        margin-bottom: 30px;
    }

    .p-bot-8 {
        padding-bottom: 30px;
    }

    /*#endregion*/
}

/*#endregion*/
/*#region css main*/
.checkbox-container {

    [type="checkbox"]:not(:checked),
    [type="checkbox"]:checked,
    [type="radio"]:not(:checked),
    [type="radio"]:checked {
        position: absolute;
        left: -9999px;

        + label {
            position: relative;
            padding-left: 1.95em;
            cursor: pointer;

            &:before {
                @include border($size: 2px);
                content: '';
                position: absolute;
                left: 0;
                top: 0;
                width: 1.25em;
                height: 1.25em;
                background: $white;
                /*border-radius: 4px;*/
                /*box-shadow: inset 0 1px 3px rgba(0,0,0,.1);*/
            }

            &:after {
                content: '\e809';
                font-family: "ecs";
                position: absolute;
                top: .1em;
                left: .3em;
                font-size: 1.3em;
                line-height: 0.8;
                color: var(--primary);
                -webkit-transition: all .2s;
                -o-transition: all .2s;
                transition: all .2s;
            }
        }
    }

    [type="checkbox"]:not(:checked),
    [type="radio"]:not(:checked) {
        + label:after {
            opacity: 0;
            -webkit-transform: scale(0);
            -ms-transform: scale(0);
            transform: scale(0);
        }
    }

    [type="checkbox"]:checked,
    [type="radio"]:checked {
        + label:after {
            opacity: 1;
            -webkit-transform: scale(1);
            -ms-transform: scale(1);
            transform: scale(1);
        }
    }

    [type="checkbox"]:disabled:not(:checked),
    [type="checkbox"]:disabled:checked,
    [type="radio"]:disabled:not(:checked),
    [type="radio"]:disabled:checked {
        + label:before {
            box-shadow: none;
            border-color: #bbb;
            background-color: #ddd;
        }
    }

    [type="checkbox"]:disabled:checked,
    [type="radio"]:disabled:checked {
        + label:after {
            color: #999;
        }
    }

    [type="checkbox"]:disabled,
    [type="radio"]:disabled {
        + label {
            color: #aaa;
        }
    }

    [type="checkbox"]:checked:focus,
    [type="checkbox"]:not(:checked):focus,
    [type="radio"]:checked:focus,
    [type="radio"]:not(:checked):focus {
        + label:before {
            @include border($size: 2px, $color:var(--primary));
        }
    }

    label {
        &:before {
            @include animation();
        }

        &:hover {
            &:before {
                @include border($size: 2px, $color:var(--primary));
            }
        }
    }

    &:last-child {
        label {
            margin-bottom: 0;
        }
    }
    // &.checkbox-img {
    //   [type="checkbox"]:not(:checked),
    //   [type="checkbox"]:checked,
    //   [type="radio"]:not(:checked),
    //   [type="radio"]:checked {
    //     & + label {
    //       padding-left: 0;
    //       img {
    //         @include animation();
    //       }
    //       &:before, &:after {
    //         display: none;
    //       }
    //     }
    //   }
    //   [type="checkbox"]:checked,
    //   [type="radio"]:checked {
    //     & + label {
    //       img {
    //         @include box-shadow2();
    //         @include border($size:4px, $color:$bg-black);
    //       }
    //     }
    //   }
    // }
}

.flex-container {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-direction: row;
    -ms-flex-direction: row;
    flex-direction: row;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-flow: row wrap;
    -ms-flex-flow: row wrap;
    flex-flow: row wrap; // -webkit-justify-content: space-around;
    -ms-flex-pack: distribute; // justify-content: space-around;
    &.flex-item-center {
        -webkit-box-pack: center;
        -webkit-justify-content: center;
        -ms-flex-pack: center;
        justify-content: center;
    }

    &.row > .col,
    > .col {
        float: none;
    }
}

.flex-center {
    -webkit-box-align: center;
    -webkit-align-items: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    -ms-flex-pack: center;
    justify-content: center;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
}

.v-height {
    display: table;
    height: 100%;
    width: 100%;
}

.text-center {
    text-align: center;
}

.clearfix {

    &:after,
    &:before {
        content: " ";
        display: table;
    }

    &:after {
        clear: both;
    }
}

.unclearfix {

    &:after,
    &:before {
        content: initial;
        display: initial;
    }

    &:after {
        clear: initial;
    }
}

/*#endregion*/

/*#region #cart*/
#cart {
    .section-header {
        // text-transform: uppercase;
        // font-weight: $font-weight-bold;
        min-height: 20px;

        span {
            text-transform: none;
            font-weight: 300;
            font-size: 15px;
        }
    }

    .section-body {
        //  @include border();
        background: var(--white);


        .item {
            @include flex-container();
         //   @include border-top();
            padding: 15px;

            .img-container {
            //    @include border();
                width: 125px;
                height: auto;
            }

            .text-container {
                width: calc(100% - 125px - 150px - 100px);
                padding: 0 15px;

                h3 {
                    @include v-top();
                    // margin-bottom: 10px;
                    font-size: 14px;
                    margin-bottom: 7px;
                    line-height: 20px;
                    font-weight: 400;
                    padding-top: 0;

                    a {
                        color: var(--primary);

                        &:hover {
                            color: var(--dark);
                        }
                    }
                }

                .btn-container {
                    @include v-bot();

                    a {
                        color: #337ab7;

                        &:hover {
                            color: #4267B2;
                            text-decoration: underline;
                        }
                    }
                }
            }

            .price {
                width: 150px;
                padding-right: 15px;

                .new-price {
                    font-weight: $font-weight-bold;
                }

                .old-price {
                    margin-top: 5px;
                    color: $gray;
                    text-decoration: line-through;

                    span {
                        display: inline-block;
                        text-decoration: none;
                        background-color: #ff9601;
                        color: $white;
                        padding: 3px 6px;
                        border-radius: 2px;
                        margin-left: 10px;
                    }
                }
            }

            .quantity-container {
                width: 100px;
                // .input-group-btn {
                //    display: block;
                //    width: 34px;
                //    height: 34px;
                //    float: left;
                //    .btn {
                //        border-radius:0;
                //    }
                //  }
                .quantity-control {
                    position: relative;
                    //top: 5px;
                    input {
                        padding: 0;
                        width: 35%;
                        text-align: center;
                        border-right: 0;
                        border-left: 0;
                        border-radius: 0;
                        border-color: #ddd;
                    }

                    input[type=number] {
                        -moz-appearance: textfield;
                    }

                    input::-webkit-outer-spin-button,
                    input::-webkit-inner-spin-button {
                        /* display: none; <- Crashes Chrome on hover */
                        -webkit-appearance: none;
                        margin: 0; /* <-- Apparently some margin are still there even though it's hidden */
                    }

                    a {
                        position: absolute;
                        top: 0;
                        border: 1px solid #ddd;
                        padding: 6px;
                        cursor: pointer;
                        color: #ddd;

                        &.decrease {
                            left: 0;
                            border-top-left-radius: 5px;
                            border-bottom-left-radius: 5px;
                        }

                        &.increase {
                            right: 0;
                            border-top-right-radius: 5px;
                            border-bottom-right-radius: 5px;
                        }
                    }
                }

                input {
                    // width: calc(100% - 34px - 34px);
                    box-shadow: none;
                    width: 100%;
                    // float: left;
                }
            }

            &:first-child {
                border-top: none;
            }
        }
    }
}
#cartbar {
    .section-header {
        // text-transform: uppercase;
        // font-weight: $font-weight-bold;
    }

    .section-body {
        //  @include border();
        margin-top: 46px;
        padding: 15px;
        width: 100%;
        color: $bg-black;
        background: var(--white);

        h2 {
            @include border-bottom();
            font-weight: $font-weight-bold;
            text-transform: uppercase;
            padding-bottom: 5px;
        }

        .item {
            margin-top: 10px;

            input {
                width: calc(100% - 73px);
                float: left;
            }

            a {
                // width:10%;
                float: left;
                margin-left: 10px;
            }

            label {
                float: left;
                margin-bottom: 0;
            }

            p {
                float: right;
                margin: 0;
            }

            &:last-child {
                -webkit-box-pack: justify;
                -webkit-justify-content: space-between;
                -ms-flex-pack: justify;
                justify-content: space-between;

                label {
                    float: none;
                }

                p {
                    color: $red;
                }
            }
        }
    }

    .section-body-plus {
        //@include border();
        margin-top: 10px;
        padding: 15px;
        width: 100%;
        color: $bg-black;
        background: var(--white);

        h2 {
            @include border-bottom();
            font-weight: $font-weight-bold;
            text-transform: uppercase;
            padding-bottom: 5px;
        }

        .h5 {
            border-bottom: 1px solid #d5d5d5;
            padding-bottom: 5px;
        }

        .item {
            margin-top: 10px;
            position: relative;

            input {
                width: 100%;
                // float: left;
            }

            a {
                // width:10%;
                position: absolute;
                top: 0;
                right: 0px;
                padding: 6px 15px;
                border-top-left-radius: 0px;
                border-bottom-left-radius: 0px;
            }

            label {
                float: left;
                margin-bottom: 0;
            }

            p {
                float: right;
                margin: 0;
            }

            &:last-child {
                -webkit-box-pack: justify;
                -webkit-justify-content: space-between;
                -ms-flex-pack: justify;
                justify-content: space-between;

                label {
                    float: none;
                }

                p {
                    color: $red;
                }
            }
        }
    }

    .section-footer {
        @include border();
        padding: 0 15px 15px 15px;
        border-top: none;

        .item {
            margin-top: 10px;

            .btn {
                width: 100px;
                float: left;
                text-transform: uppercase;
                font-weight: $font-weight-bold;
            }

            input {
                width: calc(100% - 110px);
                margin-right: 10px;
                float: left;
            }

            textarea {
                min-height: 100px;
                max-width: 100%;
                min-width: 100%;
            }

            label {
                float: left;
                margin-bottom: 0;
            }

            p {
                float: right;
            }

            &:nth-child(1) {
                @include border-top();
                margin-top: 0;
                padding-top: 15px;
            }

            &:last-child {
                -webkit-box-pack: justify;
                -webkit-justify-content: space-between;
                -ms-flex-pack: justify;
                justify-content: space-between;

                p {
                    color: $red;
                }
            }
        }
    }

    .section-footer-plus {
        margin: 10px 0 20px 0;

        a {
            width: 100%;
            text-transform: uppercase;
            font-weight: $font-weight-bold;

            &.btn-primary {
                border: 0;
                background-color: $primary-color;
                opacity: 0.7;
            }

            &:hover {
                background-color: $primary-color;
                opacity: 1;
                color: #fff;
            }
        }
    }
}
#cart-page {
    .resultmessage {
        background-color: $bg-gray;

        img {
            width: 210px;
        }

        h2 {
            text-transform: uppercase;
        }
    }

    #cartempty {
        .section-body {
            background-color: $bg-gray;
        }
    }
}
#address-form {
    @include border();

    .panel-body {
        max-width: 550px;
        margin: 20px auto;

        .btn-container {
            a {
                width: calc(50% - 6px);
                margin-right: 10px;
                border-radius: 3px;
                padding: 6px 10px;

                &:nth-child(2) {
                    margin-right: 0;
                }

                &.btn-primary {
                    &:hover {
                        color: var(--white);
                        background: var(--primary);
                    }
                }
            }
        }
    }

    .checkmark {
        position: absolute;
        top: 0;
        left: 0;
        height: 20px;
        width: 20px;
        background-color: #eee;
        border: 1px solid var(--primary);

        &:after {
            content: "";
            position: absolute;
            display: none;
        }
    }

    .checkbox {
        display: inline-block;
        position: relative;
        padding-left: 26px;
        margin-bottom: 12px;
        cursor: pointer;
        font-weight: normal;
        font-size: 12px;
        padding-top: 2px;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;

        .checkmark:after {
            left: 7px;
            top: 3px;
            width: 5px;
            height: 10px;
            border: solid white;
            border-width: 0 3px 3px 0;
            -webkit-transform: rotate(45deg);
            -ms-transform: rotate(45deg);
            transform: rotate(45deg);
        }

        &:hover input ~ .checkmark {
            background-color: var(--primary);
            // color: var(--white);
        }

        input:checked ~ .checkmark {
            background-color: var(--primary);
        }

        input:checked ~ .checkmark:after {
            display: block;
            // background-color: var(--primary);
        }

        input {
            position: absolute;
            opacity: 0;
            cursor: pointer;
            height: 0;
            width: 0;
        }
    }
}
#shipping-address {
    .other {
        a {
            color: var(--primary);
        }
    }

    h3 {
        font-size: 15px;
        font-weight: 700;
    }

    h5 {
        font-size: 13px;
        font-weight: 500;
    }

    .panel.panel-default {
        .panel-body {
            padding: 10px 15px;
            background: var(--white);
            min-height: 150px;
        }
    }

    .panel-default {
        border-color: #ddd;
    }

    .address-item {
        position: relative;
        margin-bottom: 0;
        -webkit-box-shadow: none;
        box-shadow: none;
        border-radius: 3px;
        margin: 10px 0;

        .default {
            display: none
        }

        .name {
            font-size: 15px;
            font-weight: 700;
            margin-bottom: 5px
        }

        .address {
            font-size: 13px;
            margin-bottom: 3px
        }

        .phone {
            font-size: 13px;
            margin-bottom: 10px
        }

        .action {
            .btn {
                padding: 6px 10px;
                border: 0;
                border-radius: 2px;
                margin-right: 10px;
                opacity: 0.8;

                &:hover {
                    opacity: 1;
                    background: var(--primary);
                    color: var(--white);
                }

                &.btn-second {
                    background: #555649;
                    color: var(--white);
                }

                &.btn-default {
                    border: 1px solid #ccc;
                    font-size: 12px;
                    padding-left: 14px;
                    padding-right: 14px;
                    height: 31px;
                    outline-color: #ccc;
                    background: -webkit-gradient(linear,left top,left bottom,from(#fff),to(#f7f7f7));
                    background: linear-gradient(#fff,#f7f7f7);

                    &:hover {
                        background: var(--white);
                        color: var(--dark);
                    }
                }
            }
        }

        &.is-default {
            border: 1px dashed #090;

            .default {
                position: absolute;
                top: 10px;
                right: 15px;
                display: block;
                font-size: 11px;
                color: #090;

                &:hover {
                    text-decoration: underline;
                    cursor: pointer
                }
            }
        }
    }
}
.bs-wizard {
    > .bs-wizard-step {
        padding: 0;
        position: relative;

        &.complete {
            > .progress {
                > .progress-bar {
                    width: 100%
                }
            }
        }

        &.active {
            > .progress {
                > .progress-bar {
                    width: 50%
                }
            }
        }

        &.disabled {
            > .bs-wizard-stepnum {
                color: #a3a3a3
            }

            > .bs-wizard-dot {
                background-color: #fff;
                color: #000;
                border: none;

                &:after {
                    opacity: 0
                }
            }

            a.bs-wizard-dot {
                pointer-events: none
            }
        }

        &:first-child {
            > .progress {
                left: 50%;
                width: 50%;
            }

            &.active {
                > .progress {
                    > .progress-bar {
                        width: 0
                    }
                }
            }
        }

        &:last-child {
            > .progress {
                width: 50%
            }

            &.active {
                > .progress {
                    > .progress-bar {
                        width: 100%
                    }
                }
            }
        }

        > .progress {
            position: relative;
            border-radius: 0;
            -webkit-box-shadow: none;
            box-shadow: none;
            height: 7px;
            margin: 20px 0;
            background: #b9b9b9;

            > .progress-bar {
                width: 0;
                height: 7px;
                -webkit-box-shadow: none;
                box-shadow: none;
                background: var(--primary);
                -webkit-transition: none;
                transition: none
            }
        }

        > .bs-wizard-dot {
            position: absolute;
            width: 35px;
            height: 35px;
            display: block;
            top: 41px;
            left: 50%;
            margin-top: -15px;
            margin-left: -15px;
            border-radius: 50%;
            text-align: center;
            background: var(--primary);
            font-size: 18px;
            color: #fff;
            border: 2px solid var(--primary);
            line-height: 31px;
            -webkit-box-shadow: none;
            box-shadow: #666 0 0 2px;

            a {
                color: var(--white);

                &:hover {
                    color: var(--white);
                }
            }

            &:hover {
                cursor: default;
                text-decoration: none
            }
        }

        .bs-wizard-info {
            color: #999;
            font-size: 14px
        }

        .bs-wizard-stepnum {
            color: #595959;
            font-size: 14px;
        }
    }
}
#order-page {
    .container {
        width: 900px;
        border: 2px solid gray;
        background: $white;
        padding: 10px;
    }

    .order-bill {
        .item {
            border-bottom: 3px solid gray;
            padding: 10px 0;

            &:last-child {
                border-bottom: 0;
            }

            .title {
                margin-bottom: 20px;
                font-weight: 700;
            }

            .item-product {
                font-weight: normal;
                margin-bottom: 10px;
                border: none;

                &:last-child {
                    margin-bottom: 0px;
                }

                .left {
                    width: calc(80% - 10px)
                }

                .right {
                    width: 20%;
                    margin-left: 10px;
                }
            }

            .info-total {
                @include flex-container();

                .left {
                    @include flex-left();
                    width: calc(80% - 10px);
                }

                .right {
                    // @include flex-right();
                    width: 20%;
                    margin-left: 10px;
                }
            }

            .info-customer {
                @include flex-container();
                margin-bottom: 5px;

                &:last-child {
                    margin-bottom: 0px;
                }

                .left {
                    @include flex-left();
                    width: calc(50% - 10px);
                    margin-right: 10px;
                }

                .right {
                    //  @include flex-right();
                    width: 50%;
                }
            }
        }
    }
}
#payment {
    h3 {
        font-weight: 700;
        font-size: 17px;
    }

    .popover-content {
        font-size: 13px;
        position: relative;
        display: block;
        width: 100%;
        //  max-width: 365px;
        margin: 20px auto 0;
        z-index: 1;
        border-radius: 3px;
        background: var(--white);
        font-size: 12px;
        border: 1px solid #ebebeb;
        -webkit-box-shadow: none;
        box-shadow: none;
        padding: 9px 14px;
    }

    .button-container {
        a {
            &.btn-custom {
                margin-top: 10px;
                margin-left: auto;
                margin-right: auto;
                width: 100%;
                padding: 7px 12px;
                max-width: 100%;
                line-height: 2;
                color: #fff;
                border: none;
                outline-color: #ccc;
                background: -webkit-gradient(linear,left top,left bottom,from(#ef3959),to(#d72041));
                background: linear-gradient(#ef3959,#d72041);
                //@include animation();
                border-radius: 3px;
                transition: none;
                text-transform: uppercase;

                &:hover {
                    background: #ef3959;
                }
            }
        }

        p {
            padding: 7px 0;
            font-size: 12px;
            margin-bottom: 100px;
        }
    }

    .panel-default {
        background: var(--white);
        padding: 10px 15px;
        border: 1px solid #ddd;
        font-size: 12px;
        margin-bottom: 15px;
        -webkit-box-shadow: none;
        box-shadow: none;
        border-radius: 3px;

        .panel-header {
            border-bottom: 1px solid #c9c9c9;
            padding-bottom: 10px;

            > * {
                width: 50%;
            }

            .v-title {
                text-align: left;
            }

            .v-button {
                text-align: right;

                a {
                    border: 1px solid #ccc;
                    font-size: 12px;
                    padding: 7px 15px;
                    outline-color: #ccc;
                    border-radius: 0px;
                    // opacity: 0.8;
                    background: -webkit-gradient(linear,left top,left bottom,from(#fff),to(#f7f7f7));
                    background: linear-gradient(#fff,#f7f7f7);

                    &:hover {
                        //opacity: 1;
                        background: var(--white);
                        color: var(--dark);
                    }
                }
            }
        }

        .panel-body {
            h6 {
                font-size: 15px;
                font-weight: 700;
                margin-top: 15px;
                margin-bottom: 10px;
            }

            p.end {
                font-size: 13px;
            }

            .product-list {
                .item {


                    @include flex-container();
                    padding-top: 12px;
                    padding-bottom: 12px;
                    border-bottom: 1px solid #c9c9c9;
                    font-size: 11px;

                    .title {
                        width: 70%;

                        a {
                            color: var(--primary);

                            &:hover {
                                color: var(--dark);
                            }
                        }

                        .seller-by {
                            display: block;
                            margin-top: 5px;
                        }
                    }

                    .price {
                        width: 30%;
                    }
                }
            }

            .list-info-price {
                @include flex-container();
                padding-top: 5px;

                > * {
                    width: 50%;
                }

                b {
                }
            }

            .total2 {
                padding-top: 10px;
                border-top: 2px solid #c9c9c9;
                @include flex-container();

                > * {
                    width: 50%;
                    font-size: 14px;
                }

                span.price {
                    color: #ee2347;
                    font-size: 19px;
                    font-weight: 400;
                }

                b {
                }
            }

            .panel-item {
                font-size: 13px;

                .panel-header {
                    > * {
                        width: auto;
                    }
                }

                .col-header {
                    position: relative;

                    label {
                        font-weight: 400;
                        display: block;
                        position: relative;
                        font-weight: 300;
                        font-size: 14px;
                        padding: 5px 5px 5px 29px;
                        margin: 10px auto;
                        height: 30px;
                        z-index: 9;
                        cursor: pointer;
                        -webkit-transition: all 0.25s linear;
                    }

                    input[type=radio] {
                        position: absolute;
                        visibility: hidden;
                    }

                    input[type=radio]:checked ~ .check {
                        border: 1px solid var(--primary);
                    }

                    input[type=radio]:checked ~ .check::before {
                        background: var(--primary);
                    }



                    .check {
                        display: block;
                        position: absolute;
                        border: 1px solid #aaa;
                        border-radius: 100%;
                        height: 20px;
                        width: 20px;
                        top: 5px;
                        left: 0;
                        z-index: 5;
                        transition: border .25s linear;
                        -webkit-transition: border .25s linear;

                        &:before {
                            display: block;
                            position: absolute;
                            content: '';
                            border-radius: 100%;
                            height: 10px;
                            width: 10px;
                            top: 4px;
                            left: 4px;
                            margin: auto;
                            transition: background 0.25s linear;
                            -webkit-transition: background 0.25s linear;
                        }
                    }
                }

                .col-body {
                    margin: 10px 20px;
                    display: none;

                    .panel {
                        padding: 15px 30px;

                        .panel-body {
                            padding: 10px 0;
                            @include flex-container();
                            > * {
                                width:calc(50% - 5.5px);
                                margin-right:10px;
                            }
                            .tutorial-img{
                                margin-right:0px;
                            }
                        }
                    }

                    .form-group {
                        @include flex-container();
                        width: 100%;
                        label {
                            display: block;
                            font-weight: 400;
                        }

                        &:nth-child(3), &:nth-child(4) {
                            width: calc(50% - 5.5px);
                            margin-right: 10px;
                            display:inline-block;
                        }

                        &:nth-child(4) {
                            margin-right: 0px;
                        }
                    }
                }
            }
        }
    }
}
.required{
    color:red;
}
textarea{
    resize:none;
    outline:none;
}
input{
    outline:none;
}
.success {
    .panel-body {
        h3 {
            font-size: 16px;
            font-weight: 400;
            margin-top: 0;
            color: #b70017;
        }

        p {
            font-size: 13px;
            margin-bottom: 10px;
            img{
                margin-right:5px;
            }

            span {
                color: var(--primary);
            }
        }

        .well {
            background: var(--primary);
            font-size: 19px;
            color: #fff;
            border: none;
            padding: 5px 0px;
            text-align: center;
            font-weight: 400;
            position: relative;
            border-radius: 0;
            width: 200px;
            margin-bottom: 10px;
        }

        a {
            color: var(--primary);
        }

        .alert {
            padding-top: 10px;
            padding-bottom: 10px;
            font-size: 13px;
            margin-bottom: 5px;
        }

        .alert-success {
            background: #f7f7f7;
            border-color: #ebebeb;
            color: #000;

            p {
                padding-left: 40px;
                //float: left;
                min-height: 30px;
                padding-top: 5px;
            }
        }
    }
}
.des {
    color: #155724;
    background-color: #fff3cd;
    border-color: #ffeeba;
    position: relative;
    padding: .75rem 1.25rem;
    margin-bottom: 1rem;
    border: 1px solid transparent;
    border-radius: .25rem;
    margin-top: 15px;

    p {
        font-size: 13px;
        font-weight: 500;
        color: var(--red);
    }
}
.same-as {
    cursor: pointer;
    margin: 5px 0px;
    display: inline-block;
    color: red;
    color: #155724;
    background-color: #d4edda;
    border-color: #c3e6cb;
    position: relative;
    padding: .75rem 1.25rem;
    margin-bottom: 1rem;
    border: 1px solid transparent;
    border-radius: .25rem;
}
/*#endregion*/
/*#region #tongquan*/
/*#endregion*/
@media screen and (min-width: 1920px) {
}

@media screen and (min-width: 1200px) {
    /*#region index*/
    /*#endregion*/
}

@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1024px) {

    /*#region cart*/
    #cartbar {
        .section-body {
            .item {
                .label {
                    width: 100%;
                    float: none;
                    // margin: 0 0 10px 0;
                }

                input {
                    width: 100%;
                    float: none;
                }

                select {
                    width: 100%;
                    margin-right: 0;
                    margin-left: 0;

                    &:nth-child(1) {
                        margin-right: 0;
                    }

                    &:nth-child(3) {
                        margin-left: 0;
                    }
                }
            }
        }
    }

    #cart .section-footer {
        width: 100%;
        margin-left: 0;
    }

    /*#endregion*/
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {

    /*#region cart*/
    #cart-page {
        .resultmessage img {
            width: 150px;
        }
    }

    // #cart {
    //  .section-body {
    //   .item {
    //     .img-container {

    //     }
    //     .text-container {
    //       width: calc(100% - 125px);
    //       padding-right: 0;
    //     }
    //     .price {
    //       width: calc(100% - 15px - 120px);
    //       margin-right: 15px;
    //       padding-right: 0;
    //       margin-top: 10px;
    //     }
    //     .quantity-container {
    //       margin-top: 10px;
    //     }
    //   }
    //  }
    // }
    #cartbar {
        .section-body {
            .item {
                .label {
                    float: left;
                    width: 115px;
                    margin: 7px 0;
                }

                input {
                    width: calc(100% - 115px);
                    float: right;
                }

                select {
                    width: calc(50% - 5px);
                    margin-right: 5px;

                    &:nth-child(3) {
                        margin-left: 5px;
                    }
                }
            }
        }
    }

    /*#endregion*/
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
    /*#region payment*/
    #address-form{
        padding:5px;
    }
    #payment .panel-default .panel-body .panel-item .col-body .panel {
        padding: 5px 10px;
    }
    #payment .panel-default .panel-body .panel-item .col-body .panel .panel-body > * {width: 100%}
    /*#endregion*/
    /*#region cart*/
    #cart-page {
        .resultmessage img {
            width: 100px;
        }
    }

    #cart {
        .section-body {
            .item {
                padding: 10px;
                display: block;
                -webkit-box-orient: inherit;
                -webkit-box-direction: inherit;
                -webkit-flex-direction: inherit;
                -ms-flex-direction: inherit;
                flex-direction: inherit;
                -webkit-flex-wrap: inherit;
                -ms-flex-wrap: inherit;
                flex-wrap: inherit;

                .img-container {
                    width: 70px;
                    float: left;
                }

                .text-container {
                    width: calc(100% - 70px);
                    padding-left: 10px;
                    padding-right: 0;
                    float: left;
                    position: relative;

                    .v-height {
                        display: block;
                        height: auto;
                        width: auto;
                    }

                    h3 {
                        display: block;
                        vertical-align: inherit;
                        padding-right: 0;
                        margin-bottom: 0;
                        width: auto;
                        font-size: 14px;
                    }

                    .btn-container {
                        // position:absolute;
                        // top:0;
                        // right:0;
                        a {
                            display: block;
                            // width:15px;
                            // height:15px;
                        }
                    }
                }

                .price {
                    width: calc(70% - 100px);
                    padding-left: 10px;
                    padding-right: 0;
                    margin-right: 0;
                    float: left;
                    margin-top: 10px;
                }

                .quantity-container {
                    margin-top: 10px;
                    width: 30%;
                    text-align: left;
                    float: right;
                    padding-left: 10px;
                }

                &:after,
                &:before {
                    content: " ";
                    display: table;
                }

                &:after {
                    clear: both;
                }
            }
        }

        .section-footer {
            padding: 10px;
        }
    }

    #cartbar {
        margin-top: 0;
        padding-top: 0;

        .section-body {
            .newaddresform {
                .section-footer {
                    .item {
                        input {
                            width: 64%;
                            float: left;
                        }
                    }
                }
            }

            .item {
                .label {
                    width: 100%;
                    float: none;
                    // margin: 0 0 10px 0;
                }

                input {
                    width: 100%;
                    float: none;
                }

                select {
                    width: 100%;
                    margin-right: 0;
                    margin-left: 0;

                    &:nth-child(1) {
                        margin-right: 0;
                    }

                    &:nth-child(3) {
                        margin-left: 0;
                    }
                }
            }

            &.border-bottom {
                padding: 10px;
            }
        }
    }

    /*#endregion*/
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {

    /*#region #cart*/
    #cart {
        .section-body {
            .item {
                .price {
                    width: calc(100% - 100px);
                }

                .quantity-container {
                    width: calc(100% - 100px);
                    margin-left: 100px;
                }
            }
        }
    }

    /*#endregion*/
}

@media screen and (max-width: 320px) {
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
    /*Code is here*/
}

/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    /*Code is here*/
}

/*#endregion*/
